Livepush Developers

Destinations

Delete stream destination

DELETE https://octopus.livepush.io/streams/{stream_id}/destinations/{destination_id}

Base URL https://octopus.livepush.io — Core Streams & Media APIs

Permanently deletes a destination from the specified live stream.

Once deleted, the destination will be removed entirely and can no longer be enabled or reused.

Authorization

Send a valid access token in the Authorization header.

  • bearerAuth — Bearer token (JWT)
headers.txt
Authorization: Bearer YOUR_API_TOKEN

Try it

DELETE https://octopus.livepush.io/streams/{stream_id}/destinations/{destination_id} — This call permanently deletes data on your account.

Parameters

Path parameters

  • stream_id string required
    Unique identifier of the live stream
  • destination_id string required
    Unique identifier of the stream destination

Code samples

request.sh
curl -X DELETE 'https://octopus.livepush.io/streams/<stream_id>/destinations/<destination_id>' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://octopus.livepush.io/streams/<stream_id>/destinations/<destination_id>', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
  },
});

if (!response.ok) {
  throw new Error(`Livepush API error ${response.status}`);
}

const data = await response.json();
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN',
}

response = requests.delete('https://octopus.livepush.io/streams/<stream_id>/destinations/<destination_id>', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()

Responses

Stream destination deleted successfully

application/json

  • success boolean
Example 200 response response.json
{
  "success": true
}

Unauthorized

Stream or destination not found